# Residential Summary

The Residential Summary API Route is used to inform on the status of a Residential Service by providing information such as the customer level traffic limit, total traffic usage, ProxyUsers with access to the service and current expiry of the service. The standard successful response looks like this:

```json
{
    "data": {
        "proxy_user_id__in": [],
        "residential_bytes": 10024144,
        "residential_bytes_left": 7003114,
        "residential_bytes_used": 3021030,
        "residential_requests": 5012,
        "service_expiry_datetime": "2023-12-31T23:59:59",
        "service_id": "121-0220-821"
    },
    "message": "Residential summary successfully generated."
}
```

You can access the Residential Summary API Route with either endpoint:

```
/private/user/residential/summary
/private/user/residential/summary/<service_id>
```

By specifying the service\_id you can access the information about a historical package which is no longer active. If specified without an ID, it will return information on the current active Residential Service if present.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://internal.developer.documentation.private.user.pingproxies.com/residential-package-management/residential-summary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
